"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
"{ Package: 'jv:llvm_s' }"

"{ NameSpace: Smalltalk }"

SharedPool subclass:#LLVMDWARFEncoding
	instanceVariableNames:''
	classVariableNames:'LLVM_DW_ATE_address LLVM_DW_ATE_boolean LLVM_DW_ATE_complex_float
		LLVM_DW_ATE_float LLVM_DW_ATE_signed LLVM_DW_ATE_signed_char
		LLVM_DW_ATE_unsigned LLVM_DW_ATE_unsigned_char
		LLVM_DW_ATE_imaginary_float LLVM_DW_ATE_packed_decimal
		LLVM_DW_ATE_numeric_string LLVM_DW_ATE_edited
		LLVM_DW_ATE_signed_fixed LLVM_DW_ATE_unsigned_fixed
		LLVM_DW_ATE_decimal_float LLVM_DW_ATE_UTF LLVM_DW_ATE_lo_user
		LLVM_DW_ATE_hi_user'
	poolDictionaries:''
	category:'LLVM-S-Core-Constants'
!

!LLVMDWARFEncoding class methodsFor:'documentation'!

copyright
"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
! !

!LLVMDWARFEncoding class methodsFor:'initialization'!

initialize

    LLVM_DW_ATE_address := 1.
    LLVM_DW_ATE_boolean := 2.
    LLVM_DW_ATE_complex_float := 3.
    LLVM_DW_ATE_float := 4.
    LLVM_DW_ATE_signed := 5.
    LLVM_DW_ATE_signed_char := 6.
    LLVM_DW_ATE_unsigned := 7.
    LLVM_DW_ATE_unsigned_char := 8.
    LLVM_DW_ATE_imaginary_float := 9.
    LLVM_DW_ATE_packed_decimal := 10.
    LLVM_DW_ATE_numeric_string := 11.
    LLVM_DW_ATE_edited := 12.
    LLVM_DW_ATE_signed_fixed := 13.
    LLVM_DW_ATE_unsigned_fixed := 14.
    LLVM_DW_ATE_decimal_float := 15.
    LLVM_DW_ATE_UTF := 16.
    LLVM_DW_ATE_lo_user := 128.
    LLVM_DW_ATE_hi_user := 255.
! !

!LLVMDWARFEncoding class methodsFor:'constants'!

LLVM_DW_ATE_UTF

    ^LLVM_DW_ATE_UTF
!

LLVM_DW_ATE_address

    ^LLVM_DW_ATE_address
!

LLVM_DW_ATE_boolean

    ^LLVM_DW_ATE_boolean
!

LLVM_DW_ATE_complex_float

    ^LLVM_DW_ATE_complex_float
!

LLVM_DW_ATE_decimal_float

    ^LLVM_DW_ATE_decimal_float
!

LLVM_DW_ATE_edited

    ^LLVM_DW_ATE_edited
!

LLVM_DW_ATE_float

    ^LLVM_DW_ATE_float
!

LLVM_DW_ATE_hi_user

    ^LLVM_DW_ATE_hi_user
!

LLVM_DW_ATE_imaginary_float

    ^LLVM_DW_ATE_imaginary_float
!

LLVM_DW_ATE_lo_user

    ^LLVM_DW_ATE_lo_user
!

LLVM_DW_ATE_numeric_string

    ^LLVM_DW_ATE_numeric_string
!

LLVM_DW_ATE_packed_decimal

    ^LLVM_DW_ATE_packed_decimal
!

LLVM_DW_ATE_signed

    ^LLVM_DW_ATE_signed
!

LLVM_DW_ATE_signed_char

    ^LLVM_DW_ATE_signed_char
!

LLVM_DW_ATE_signed_fixed

    ^LLVM_DW_ATE_signed_fixed
!

LLVM_DW_ATE_unsigned

    ^LLVM_DW_ATE_unsigned
!

LLVM_DW_ATE_unsigned_char

    ^LLVM_DW_ATE_unsigned_char
!

LLVM_DW_ATE_unsigned_fixed

    ^LLVM_DW_ATE_unsigned_fixed
! !


LLVMDWARFEncoding initialize!
