"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
"{ Package: 'jv:llvm_s' }"

"{ NameSpace: Smalltalk }"

SharedPool subclass:#LLVMDWARFLamguage
	instanceVariableNames:''
	classVariableNames:'LLVM_DW_LANG_C89 LLVM_DW_LANG_C LLVM_DW_LANG_Ada83
		LLVM_DW_LANG_C_plus_plus LLVM_DW_LANG_Cobol74
		LLVM_DW_LANG_Cobol85 LLVM_DW_LANG_Fortran77
		LLVM_DW_LANG_Fortran90 LLVM_DW_LANG_Pascal83 LLVM_DW_LANG_Modula2
		LLVM_DW_LANG_Java LLVM_DW_LANG_C99 LLVM_DW_LANG_Ada95
		LLVM_DW_LANG_Fortran95 LLVM_DW_LANG_PLI LLVM_DW_LANG_ObjC
		LLVM_DW_LANG_ObjC_plus_plus LLVM_DW_LANG_UPC LLVM_DW_LANG_D
		LLVM_DW_LANG_Python LLVM_DW_LANG_OpenCL LLVM_DW_LANG_Go
		LLVM_DW_LANG_Modula3 LLVM_DW_LANG_Haskell
		LLVM_DW_LANG_C_plus_plus_03 LLVM_DW_LANG_C_plus_plus_11
		LLVM_DW_LANG_OCaml LLVM_DW_LANG_Rust LLVM_DW_LANG_C11
		LLVM_DW_LANG_Swift LLVM_DW_LANG_Julia LLVM_DW_LANG_Dylan
		LLVM_DW_LANG_C_plus_plus_14 LLVM_DW_LANG_Fortran03
		LLVM_DW_LANG_Fortran08 LLVM_DW_LANG_Mips_Assembler
		LLVM_DW_LANG_lo_user LLVM_DW_LANG_hi_user'
	poolDictionaries:''
	category:'LLVM-S-Core-Constants'
!

!LLVMDWARFLamguage class methodsFor:'documentation'!

copyright
"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
! !

!LLVMDWARFLamguage class methodsFor:'initialization'!

initialize

    LLVM_DW_LANG_C89 := 1.
    LLVM_DW_LANG_C := 2.
    LLVM_DW_LANG_Ada83 := 3.
    LLVM_DW_LANG_C_plus_plus := 4.
    LLVM_DW_LANG_Cobol74 := 5.
    LLVM_DW_LANG_Cobol85 := 6.
    LLVM_DW_LANG_Fortran77 := 7.
    LLVM_DW_LANG_Fortran90 := 8.
    LLVM_DW_LANG_Pascal83 := 9.
    LLVM_DW_LANG_Modula2 := 10.
    LLVM_DW_LANG_Java := 11.
    LLVM_DW_LANG_C99 := 12.
    LLVM_DW_LANG_Ada95 := 13.
    LLVM_DW_LANG_Fortran95 := 14.
    LLVM_DW_LANG_PLI := 15.
    LLVM_DW_LANG_ObjC := 16.
    LLVM_DW_LANG_ObjC_plus_plus := 17.
    LLVM_DW_LANG_UPC := 18.
    LLVM_DW_LANG_D := 19.
    LLVM_DW_LANG_Python := 20.
    LLVM_DW_LANG_OpenCL := 21.
    LLVM_DW_LANG_Go := 22.
    LLVM_DW_LANG_Modula3 := 23.
    LLVM_DW_LANG_Haskell := 24.
    LLVM_DW_LANG_C_plus_plus_03 := 25.
    LLVM_DW_LANG_C_plus_plus_11 := 26.
    LLVM_DW_LANG_OCaml := 27.
    LLVM_DW_LANG_Rust := 28.
    LLVM_DW_LANG_C11 := 29.
    LLVM_DW_LANG_Swift := 30.
    LLVM_DW_LANG_Julia := 31.
    LLVM_DW_LANG_Dylan := 32.
    LLVM_DW_LANG_C_plus_plus_14 := 33.
    LLVM_DW_LANG_Fortran03 := 34.
    LLVM_DW_LANG_Fortran08 := 35.
    LLVM_DW_LANG_Mips_Assembler := 32769.
    LLVM_DW_LANG_lo_user := 32768.
    LLVM_DW_LANG_hi_user := 65535.
! !

!LLVMDWARFLamguage class methodsFor:'constants'!

LLVM_DW_LANG_Ada83

    ^LLVM_DW_LANG_Ada83
!

LLVM_DW_LANG_Ada95

    ^LLVM_DW_LANG_Ada95
!

LLVM_DW_LANG_C

    ^LLVM_DW_LANG_C
!

LLVM_DW_LANG_C11

    ^LLVM_DW_LANG_C11
!

LLVM_DW_LANG_C89

    ^LLVM_DW_LANG_C89
!

LLVM_DW_LANG_C99

    ^LLVM_DW_LANG_C99
!

LLVM_DW_LANG_C_plus_plus

    ^LLVM_DW_LANG_C_plus_plus
!

LLVM_DW_LANG_C_plus_plus_03

    ^LLVM_DW_LANG_C_plus_plus_03
!

LLVM_DW_LANG_C_plus_plus_11

    ^LLVM_DW_LANG_C_plus_plus_11
!

LLVM_DW_LANG_C_plus_plus_14

    ^LLVM_DW_LANG_C_plus_plus_14
!

LLVM_DW_LANG_Cobol74

    ^LLVM_DW_LANG_Cobol74
!

LLVM_DW_LANG_Cobol85

    ^LLVM_DW_LANG_Cobol85
!

LLVM_DW_LANG_D

    ^LLVM_DW_LANG_D
!

LLVM_DW_LANG_Dylan

    ^LLVM_DW_LANG_Dylan
!

LLVM_DW_LANG_Fortran03

    ^LLVM_DW_LANG_Fortran03
!

LLVM_DW_LANG_Fortran08

    ^LLVM_DW_LANG_Fortran08
!

LLVM_DW_LANG_Fortran77

    ^LLVM_DW_LANG_Fortran77
!

LLVM_DW_LANG_Fortran90

    ^LLVM_DW_LANG_Fortran90
!

LLVM_DW_LANG_Fortran95

    ^LLVM_DW_LANG_Fortran95
!

LLVM_DW_LANG_Go

    ^LLVM_DW_LANG_Go
!

LLVM_DW_LANG_Haskell

    ^LLVM_DW_LANG_Haskell
!

LLVM_DW_LANG_Java

    ^LLVM_DW_LANG_Java
!

LLVM_DW_LANG_Julia

    ^LLVM_DW_LANG_Julia
!

LLVM_DW_LANG_Mips_Assembler

    ^LLVM_DW_LANG_Mips_Assembler
!

LLVM_DW_LANG_Modula2

    ^LLVM_DW_LANG_Modula2
!

LLVM_DW_LANG_Modula3

    ^LLVM_DW_LANG_Modula3
!

LLVM_DW_LANG_OCaml

    ^LLVM_DW_LANG_OCaml
!

LLVM_DW_LANG_ObjC

    ^LLVM_DW_LANG_ObjC
!

LLVM_DW_LANG_ObjC_plus_plus

    ^LLVM_DW_LANG_ObjC_plus_plus
!

LLVM_DW_LANG_OpenCL

    ^LLVM_DW_LANG_OpenCL
!

LLVM_DW_LANG_PLI

    ^LLVM_DW_LANG_PLI
!

LLVM_DW_LANG_Pascal83

    ^LLVM_DW_LANG_Pascal83
!

LLVM_DW_LANG_Python

    ^LLVM_DW_LANG_Python
!

LLVM_DW_LANG_Rust

    ^LLVM_DW_LANG_Rust
!

LLVM_DW_LANG_Swift

    ^LLVM_DW_LANG_Swift
!

LLVM_DW_LANG_UPC

    ^LLVM_DW_LANG_UPC
!

LLVM_DW_LANG_hi_user

    ^LLVM_DW_LANG_hi_user
!

LLVM_DW_LANG_lo_user

    ^LLVM_DW_LANG_lo_user
! !


LLVMDWARFLamguage initialize!
