"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
"{ Package: 'jv:llvm_s' }"

"{ NameSpace: Smalltalk }"

SharedPool subclass:#LLVMIntPredicate
	instanceVariableNames:''
	classVariableNames:'LLVMIntEQ LLVMIntNE LLVMIntUGT LLVMIntUGE LLVMIntULT LLVMIntULE
		LLVMIntSGT LLVMIntSGE LLVMIntSLT LLVMIntSLE'
	poolDictionaries:''
	category:'LLVM-S-Core-Constants'
!

!LLVMIntPredicate class methodsFor:'documentation'!

copyright
"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
! !

!LLVMIntPredicate class methodsFor:'initialization'!

initialize

    LLVMIntEQ := 32.
    LLVMIntNE := 33.
    LLVMIntUGT := 34.
    LLVMIntUGE := 35.
    LLVMIntULT := 36.
    LLVMIntULE := 37.
    LLVMIntSGT := 38.
    LLVMIntSGE := 39.
    LLVMIntSLT := 40.
    LLVMIntSLE := 41.
! !

!LLVMIntPredicate class methodsFor:'constants'!

LLVMIntEQ

    ^LLVMIntEQ
!

LLVMIntNE

    ^LLVMIntNE
!

LLVMIntSGE

    ^LLVMIntSGE
!

LLVMIntSGT

    ^LLVMIntSGT
!

LLVMIntSLE

    ^LLVMIntSLE
!

LLVMIntSLT

    ^LLVMIntSLT
!

LLVMIntUGE

    ^LLVMIntUGE
!

LLVMIntUGT

    ^LLVMIntUGT
!

LLVMIntULE

    ^LLVMIntULE
!

LLVMIntULT

    ^LLVMIntULT
! !

!LLVMIntPredicate class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !


LLVMIntPredicate initialize!
