"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
"{ Package: 'jv:llvm_s' }"

"{ NameSpace: Smalltalk }"

LLVMTypeFloatingPoint subclass:#LLVMTypePPC_FP128
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'LLVM-S-Core-Types'
!

!LLVMTypePPC_FP128 class methodsFor:'documentation'!

copyright
"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
! !

!LLVMTypePPC_FP128 methodsFor:'accessing'!

sizeInBits
    "For integer, pointer, FP  types, return the size in bits. For all 
     other types, throw an LLVMTypeError.

     LLVMType int32 sizeInBits -> 32
     LLVMType int1 sizeInBits  -> 1
    "
    ^ 128

    "Created: / 13-08-2015 / 17:03:41 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!LLVMTypePPC_FP128 methodsFor:'testing'!

isPPC_FP128Type
    ^ true

    "Created: / 13-08-2015 / 16:52:17 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!LLVMTypePPC_FP128 class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

