"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
"{ Package: 'jv:llvm_s' }"

"{ NameSpace: Smalltalk }"

SharedPool subclass:#LLVMVerifierFailureAction
	instanceVariableNames:''
	classVariableNames:'LLVMAbortProcessAction LLVMPrintMessageAction
		LLVMReturnStatusAction'
	poolDictionaries:''
	category:'LLVM-S-Core-Constants'
!

!LLVMVerifierFailureAction class methodsFor:'documentation'!

copyright
"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
! !

!LLVMVerifierFailureAction class methodsFor:'initialization'!

initialize

    LLVMAbortProcessAction := 0.
    LLVMPrintMessageAction := 1.
    LLVMReturnStatusAction := 2.
! !

!LLVMVerifierFailureAction class methodsFor:'constants'!

LLVMAbortProcessAction

    ^LLVMAbortProcessAction
!

LLVMPrintMessageAction

    ^LLVMPrintMessageAction
!

LLVMReturnStatusAction

    ^LLVMReturnStatusAction
! !


LLVMVerifierFailureAction initialize!
