/*
 * Intrinsics.h
 *
 *  Created on: Aug 10, 2015
 *      Author: jv
 */

#ifndef INCLUDE_LLVM_C_EXT_INTRINSICS_H_
#define INCLUDE_LLVM_C_EXT_INTRINSICS_H_

#include <llvm-c/Core.h>

#ifdef __cplusplus
extern "C" {
#endif

/**
 * Create or insert an LLVM Function declaration for an intrinsic with given name, and return it.
 * If there's no intrinsic with given name, return NULL.
 *
 * @pa
 */
LLVMValueRef LLVMGetIntrinsicByName(LLVMModuleRef mod, const char* name, const int count, const LLVMTypeRef* types);

#ifdef __cplusplus
}
#endif
#endif /* INCLUDE_LLVM_C_EXT_INTRINSICS_H_ */
